/*
 * Copyright Ian Burnett 2005, 2006.
 *
 * This file is part of Ian's Interactive LCD controller (IILC).
 * 
 * IILC is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * IILC is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with IILC; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 */

#if !defined(__SCREEN_H__)
#define __SCREEN_H__


#include "lcd.h"
#include "module.h"

typedef struct _tag_screen * LPSCREEN;




LCD_API int screenCreate(LPSCREEN * ppScreen,
                         unsigned int uWidth,
                         unsigned int uHeight);

LCD_API int screenDoRender(LPSCREEN pScreen, 
                           char * pszScreen);

LCD_API int screenAddWindow(LPSCREEN pScreen,
                            int x,
                            int y,
                            int width,
                            int height,
                            LPMODULE pModule);

LCD_API int getScreenSize(LPSCREEN pScreen,
                          int * width,
                          int * height);





#endif /* __SCREEN_H__ */
