/*
 * Copyright Ian Burnett 2005, 2006.
 *
 * This file is part of Ian's Interactive LCD controller (IILC).
 * 
 * IILC is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * IILC is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with IILC; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 */

#if !defined(__VECTOR_H__)
#define __VECTOR_H__


typedef struct _tag_vector * LPVECTOR;

int vectorCreate(LPVECTOR * ppVector);

int vectorDestroy(LPVECTOR * ppVector);

int vectorAdd(LPVECTOR pVector,
              void * data);

int vectorRemove(LPVECTOR pVector,
                 void * data);

int vectorGetSize(LPVECTOR pVector,
                  int * pnSize);

int vectorGetElementAt(LPVECTOR pVector,
                       int nIndex,
                       void ** pData);

int vectorSetElementAt(LPVECTOR pVector, 
                       int nIndex, 
                       void * pData);


#endif /* __VECTOR_H__ */

