/*
 * Copyright Ian Burnett 2005, 2006.
 *
 * This file is part of Ian's Interactive LCD controller (IILC).
 * 
 * IILC is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * IILC is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with IILC; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 */

#if !defined(__TIME_W32_H__)
#define __TIME_W32_H__

typedef long time_t;

typedef long suseconds_t;

typedef int clockid_t;

struct timeval
{
    time_t         tv_sec;   /*      seconds */
    suseconds_t    tv_usec;  /* microseconds */
};

struct timespec
{
    time_t   tv_sec;   /*     seconds */
    long int tv_nsec;  /* nanoseconds */
};

struct timezone
{
    int tz_minuteswest; /* minutes west of Greenwich */
    int tz_dsttime;     /* type of dst correction    */
};

int gettimeofday(struct timeval * tv,
                 struct timezone * tz);

int clock_gettime(clockid_t clk_id,
                  struct timespec * tp);


#define CLOCK_REALTIME 1


#endif /* __TIME_W32_H__ */

