/*
 * Copyright Ian Burnett 2005, 2006.
 *
 * This file is part of Ian's Interactive LCD controller (IILC).
 * 
 * IILC is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * IILC is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with IILC; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 */

#if !defined(_WIN32)
#   include <strings.h>
#endif

#include <time.h>

#include "scrTime.h"


typedef struct _tag_screen_time
{
    int dummy;



} SCREEN_TIME, * LPSCREEN_TIME;


int ModuleCreate(int handle, void ** context, LPMODULE_FN_ARRAY pFnArray)
{
    /* We can use fn array version 1 */
    pFnArray->version = 1;

    /* Setup our various functions */
    pFnArray->pfnTextData = GetDisplayData;

    return 0;
}


int ModuleDestroy(void * context)
{
    printf("In ModuleDestroy\n");

    return 0;
}


int GetDisplayData(void * context, int row, int nWidth, char * buf)
{
    char * lfChar = NULL;
    char localBuf[1024];
    time_t now;

    /* Grab the current time */
    time(&now);

    /* Drop into the buffer (watch for thread-safety) */
    ctime_r(&now, localBuf);

    /* Remove the '\n' character */
    lfChar = index(localBuf, '\n');
    if (lfChar != NULL) {
        *lfChar = '\0';
    }

    sprintf(buf, "%s", localBuf);

    return 0;
}
